Debian Bug report logs - #580548
..find a new name, gmp-ecm got there (/usr/bin/ecm) first.

version graph

Package: ecm; Maintainer for ecm is Loïc Martin <loic.martin3@gmail.com>; Source for ecm is src:cmdpack.

Reported by: Arnt Karlsen <arnt@c2i.net>

Date: Thu, 6 May 2010 18:03:01 UTC

Severity: serious

Tags: squeeze-ignore

Found in version ecm/1.00-1

Fixed in version ecm/1.00-2

Done: Bart Martens <bartm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, arnt@c2i.net, Loïc Martin <loic.martin3@gmail.com>:
Bug#580548; Package ecm. (Thu, 06 May 2010 18:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnt Karlsen <arnt@c2i.net>:
New Bug report received and forwarded. Copy sent to arnt@c2i.net, Loïc Martin <loic.martin3@gmail.com>. (Thu, 06 May 2010 18:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arnt Karlsen <arnt@c2i.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ..find a new name, gmp-ecm got there (/usr/bin/ecm) first.
Date: Thu, 06 May 2010 20:01:15 +0200
Package: ecm
Version: 1.00-1
Severity: normal
Tags: squeeze sid


...conflict details:
Press return to continue.

Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
serious bugs of ecm ( -> 1.00-1) <unfixed>
 #580398 - ecm and gmp-ecm: error when trying to install together
Summary:
 ecm(1 bug)
Are you sure you want to install/upgrade the above packages? [Y/n/?/...]  
(Reading database ... 858623 files and directories currently installed.)
Unpacking ecm (from .../archives/ecm_1.00-1_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/ecm_1.00-1_i386.deb (--unpack):
 trying to overwrite '/usr/bin/ecm', which is also in package gmp-ecm 6.2-1
Errors were encountered while processing:
 /var/cache/apt/archives/ecm_1.00-1_i386.deb
Updating Debian Packages of System Configurations (dpsyco).
localepurge: Disk space freed in /usr/share/locale: 0 KiB
localepurge: Disk space freed in /usr/share/gnome/help: 0 KiB
localepurge: Disk space freed in /usr/share/omf: 0 KiB
localepurge: Disk space freed in /usr/share/doc/kde/HTML: 0 KiB

Total disk space freed by localepurge: 0 KiB

E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
Press return to continue.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-vserver-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ecm depends on:
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib

ecm recommends no packages.

ecm suggests no packages.




Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Loïc Martin <loic.martin3@gmail.com>:
Bug#580548; Package ecm. (Thu, 03 Mar 2011 14:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to Loïc Martin <loic.martin3@gmail.com>. (Thu, 03 Mar 2011 14:39:06 GMT) Full text and rfc822 format available.

Message #12 received at 580548@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Arnt Karlsen <arnt@c2i.net>, 580548@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#580548: ..find a new name, gmp-ecm got there (/usr/bin/ecm) first.
Date: Thu, 3 Mar 2011 15:34:33 +0100
tag 580548 - squeeze sid wheezy
severity 580548 serious
thanks

On Thu, May 06, 2010 at 08:01:15PM +0200, Arnt Karlsen wrote:
> Unpacking ecm (from .../archives/ecm_1.00-1_i386.deb) ...
> dpkg: error processing /var/cache/apt/archives/ecm_1.00-1_i386.deb (--unpack):
>  trying to overwrite '/usr/bin/ecm', which is also in package gmp-ecm 6.2-1
> Errors were encountered while processing:
>  /var/cache/apt/archives/ecm_1.00-1_i386.deb

File conflicts are serious RC bugs and need to be solved.

Kind regards
Philipp Kern 




Removed tag(s) sid, squeeze, and wheezy. Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Thu, 03 Mar 2011 14:39:11 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Thu, 03 Mar 2011 14:39:12 GMT) Full text and rfc822 format available.

Reply sent to Bart Martens <bartm@debian.org>:
You have taken responsibility. (Tue, 27 Sep 2011 17:36:05 GMT) Full text and rfc822 format available.

Notification sent to Arnt Karlsen <arnt@c2i.net>:
Bug acknowledged by developer. (Tue, 27 Sep 2011 17:36:05 GMT) Full text and rfc822 format available.

Message #21 received at 580548-close@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: 580548-close@bugs.debian.org
Subject: Bug#580548: fixed in ecm 1.00-2
Date: Tue, 27 Sep 2011 17:32:32 +0000
Source: ecm
Source-Version: 1.00-2

We believe that the bug you reported is fixed in the latest version of
ecm, which is due to be installed in the Debian FTP archive:

ecm_1.00-2.debian.tar.gz
  to main/e/ecm/ecm_1.00-2.debian.tar.gz
ecm_1.00-2.dsc
  to main/e/ecm/ecm_1.00-2.dsc
ecm_1.00-2_amd64.deb
  to main/e/ecm/ecm_1.00-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 580548@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bart Martens <bartm@debian.org> (supplier of updated ecm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 27 Sep 2011 07:40:54 +0200
Source: ecm
Binary: ecm
Architecture: source amd64
Version: 1.00-2
Distribution: unstable
Urgency: low
Maintainer: Bart Martens <bartm@debian.org>
Changed-By: Bart Martens <bartm@debian.org>
Description: 
 ecm        - prepares CD image files so they compress better
Closes: 580548 583952
Changes: 
 ecm (1.00-2) unstable; urgency=low
 .
   * New maintainer.
   * Renamed ecm to ecm-compress and unecm to ecm-uncompress.  Closes: #580548.
   * Fixed typos.  Closes: #583952.
Checksums-Sha1: 
 afc8e27df79fbc9eebddb864f5f624477ac47a98 1650 ecm_1.00-2.dsc
 8fb12723893b2e6a3ae065c69ef2ae599232e79b 4381 ecm_1.00-2.debian.tar.gz
 e750a224216f8535be77cf42936555713766b60d 13258 ecm_1.00-2_amd64.deb
Checksums-Sha256: 
 059736b4db205a0369acf9f56c2defe940fcd602166f266a62998cacf8c2c6af 1650 ecm_1.00-2.dsc
 9bb348d0a80ec469aab3a9203e595503ae64fb64328429e8dd4c6623b940fe00 4381 ecm_1.00-2.debian.tar.gz
 b02409a2a5f7da4ad787870d368596cb58655012dbefa3a5305ff56c8bef4bb4 13258 ecm_1.00-2_amd64.deb
Files: 
 e7e1c9e273c592aa304224976862369f 1650 utils optional ecm_1.00-2.dsc
 623e941fb56888b877e0c6890baed591 4381 utils optional ecm_1.00-2.debian.tar.gz
 909d79bb59e1d3062b80cb451c54bf3c 13258 utils optional ecm_1.00-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJOggZtAAoJEDNV9NY7WCHMlj4P/1symvBYIiZ8OMm+n88GZAHA
N2/+xawvAVD3Rq1L7l6U5csCJQyhG7MmJhT5CTJpCpGODwlI/jbDZpwVtVAzBDN3
C1C6M2R5CCIdENoNIonYtZAbXwty7fMOJ3QxwK8RV91Rnnv83S10rlaAWzvPDBco
8sPxPEvvzFmJk8IZLxzvD5Olh2yi0q0Rj2hsUaGBrs9A0YXpuJweLzBKgOyN+391
ImUY0Mnkr57NLRSeslFE6aOYIE6y7P+P1WHjMBlEqyoVPt0lfHmZUI7THA9zsS6N
/fMTXdwYnwUCI4Gj+CHIZjl2k5ev1WSUA/6Vb8uSEeV58wOo1an/Q4/vRG33/PrB
WcihJzRzBlP84CJp/ysvjSJXScNoq3UmYsivB/dDSmXkEncGZvsi1rule5pAXyz/
EePs3liP2VKeJ/iiG6DhvKIaHM25bQVpJ7uJU+fujuIS8wu+ZoLOa0TFAfN1bHyN
RdO8OfK9/n6hypQssnIh3QgtVatxiYgIEqw5G68ouTWA5z9rh7XDrUN9wM+l3FbO
tDMJDMAXlMRB1DxdHbBp0hlfJ0bHj+QIypu9dJQLfvX5TLfTU8o6uJhGTborG+SG
7x3d7Evfvv3M1l6JG+cBrBnSWZxMCSsvPvV/tD9WjrEPaRRpU9fhz6UPF29S0v5i
59ukGOQ/YsqYqB4j/75Q
=uxwa
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Bart Martens <bartm@debian.org>:
Bug#580548; Package ecm. (Mon, 09 Jan 2012 00:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Bart Martens <bartm@debian.org>. (Mon, 09 Jan 2012 00:15:03 GMT) Full text and rfc822 format available.

Message #26 received at 580548@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Bart Martens <bartm@debian.org>
Cc: 580548@bugs.debian.org
Subject: Re: ecm: file conflict with gmp-ecm
Date: Sun, 8 Jan 2012 18:19:00 -0600
Hi Bart,

Bart Martens wrote:

>    * Renamed ecm to ecm-compress and unecm to ecm-uncompress.  Closes: #580548.

Is this worth fixing in squeeze?  Would you like a debdiff doing so?

Thanks,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Loïc Martin <loic.martin3@gmail.com>:
Bug#580548; Package ecm. (Sun, 09 Sep 2012 18:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Loïc Martin <loic.martin3@gmail.com>. (Sun, 09 Sep 2012 18:57:06 GMT) Full text and rfc822 format available.

Message #31 received at 580548@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Bart Martens <bartm@debian.org>
Cc: 580548@bugs.debian.org
Subject: Re: ecm: file conflict with gmp-ecm
Date: Sun, 9 Sep 2012 11:56:16 -0700
Hi again,

In January, Jonathan Nieder wrote:
> Bart Martens wrote:

>>    * Renamed ecm to ecm-compress and unecm to ecm-uncompress.  Closes: #580548.
>
> Is this worth fixing in squeeze?

My feeling is "no" --- it's too risky to be renaming binaries in a
stable release this late.  Perhaps there could be a Conflicts relation
to warn people about the bug, though.  What do you think?

Thanks,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Loïc Martin <loic.martin3@gmail.com>:
Bug#580548; Package ecm. (Sun, 09 Sep 2012 19:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. Copy sent to Loïc Martin <loic.martin3@gmail.com>. (Sun, 09 Sep 2012 19:30:03 GMT) Full text and rfc822 format available.

Message #36 received at 580548@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 580548@bugs.debian.org
Subject: Re: ecm: file conflict with gmp-ecm
Date: Sun, 9 Sep 2012 19:28:10 +0000
On Sun, Sep 09, 2012 at 11:56:16AM -0700, Jonathan Nieder wrote:
> Hi again,
> 
> In January, Jonathan Nieder wrote:
> > Bart Martens wrote:
> 
> >>    * Renamed ecm to ecm-compress and unecm to ecm-uncompress.  Closes: #580548.
> >
> > Is this worth fixing in squeeze?
> 
> My feeling is "no" --- it's too risky to be renaming binaries in a
> stable release this late.  Perhaps there could be a Conflicts relation
> to warn people about the bug, though.  What do you think?

I don't mind doing the renaming in squeeze as well.  On the other hand I don't
see hundreds of squeeze users complaining about this.  What is the opinion of
the Stable Release Managers ?

Regards,

Bart Martens



Information forwarded to debian-bugs-dist@lists.debian.org, Loïc Martin <loic.martin3@gmail.com>:
Bug#580548; Package ecm. (Sun, 09 Sep 2012 19:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Loïc Martin <loic.martin3@gmail.com>. (Sun, 09 Sep 2012 19:48:09 GMT) Full text and rfc822 format available.

Message #41 received at 580548@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: debian-release@lists.debian.org
Cc: Bart Martens <bartm@debian.org>, 580548@bugs.debian.org
Subject: [squeeze] Re: ecm: file conflict with gmp-ecm
Date: Sun, 9 Sep 2012 12:44:11 -0700
Bart Martens wrote:
> On Sun, Sep 09, 2012 at 11:56:16AM -0700, Jonathan Nieder wrote:
>> In January, Jonathan Nieder wrote:
>>> Bart Martens wrote:

>>>>    * Renamed ecm to ecm-compress and unecm to ecm-uncompress.  Closes: #580548.
>>>
>>> Is this worth fixing in squeeze?
>>
>> My feeling is "no" --- it's too risky to be renaming binaries in a
>> stable release this late.  Perhaps there could be a Conflicts relation
>> to warn people about the bug, though.  What do you think?
>
> I don't mind doing the renaming in squeeze as well.  On the other hand I don't
> see hundreds of squeeze users complaining about this.  What is the opinion of
> the Stable Release Managers ?

Cc-ing them to find out.

Thanks,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Loïc Martin <loic.martin3@gmail.com>:
Bug#580548; Package ecm. (Thu, 11 Oct 2012 20:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Loïc Martin <loic.martin3@gmail.com>. (Thu, 11 Oct 2012 20:45:05 GMT) Full text and rfc822 format available.

Message #46 received at 580548@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: debian-release@lists.debian.org, Bart Martens <bartm@debian.org>, 580548@bugs.debian.org
Subject: Re: [squeeze] Re: ecm: file conflict with gmp-ecm
Date: Thu, 11 Oct 2012 22:43:30 +0200
[Message part 1 (text/plain, inline)]
On Sun, Sep  9, 2012 at 12:44:11 -0700, Jonathan Nieder wrote:

> Bart Martens wrote:
> > On Sun, Sep 09, 2012 at 11:56:16AM -0700, Jonathan Nieder wrote:
> >> In January, Jonathan Nieder wrote:
> >>> Bart Martens wrote:
> 
> >>>>    * Renamed ecm to ecm-compress and unecm to ecm-uncompress.  Closes: #580548.
> >>>
> >>> Is this worth fixing in squeeze?
> >>
> >> My feeling is "no" --- it's too risky to be renaming binaries in a
> >> stable release this late.  Perhaps there could be a Conflicts relation
> >> to warn people about the bug, though.  What do you think?
> >
> > I don't mind doing the renaming in squeeze as well.  On the other hand I don't
> > see hundreds of squeeze users complaining about this.  What is the opinion of
> > the Stable Release Managers ?
> 
> Cc-ing them to find out.
> 
Not a SRM, but I share the "no" feeling.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Loïc Martin <loic.martin3@gmail.com>:
Bug#580548; Package ecm. (Thu, 11 Oct 2012 21:54:03 GMT) Full text and rfc822 format available.

Message #49 received at 580548@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, debian-release@lists.debian.org, Bart Martens <bartm@debian.org>, 580548@bugs.debian.org
Subject: Re: [squeeze] Re: ecm: file conflict with gmp-ecm
Date: Thu, 11 Oct 2012 23:49:53 +0200
[Message part 1 (text/plain, inline)]
On Thu, Oct 11, 2012 at 10:43:30PM +0200, Julien Cristau wrote:
> On Sun, Sep  9, 2012 at 12:44:11 -0700, Jonathan Nieder wrote:
> > Bart Martens wrote:
> > > On Sun, Sep 09, 2012 at 11:56:16AM -0700, Jonathan Nieder wrote:
> > >> In January, Jonathan Nieder wrote:
> > >>> Bart Martens wrote:
> > >>>>    * Renamed ecm to ecm-compress and unecm to ecm-uncompress.  Closes: #580548.
> > >>> Is this worth fixing in squeeze?
> > >> My feeling is "no" --- it's too risky to be renaming binaries in a
> > >> stable release this late.  Perhaps there could be a Conflicts relation
> > >> to warn people about the bug, though.  What do you think?
> > > I don't mind doing the renaming in squeeze as well.  On the other hand I don't
> > > see hundreds of squeeze users complaining about this.  What is the opinion of
> > > the Stable Release Managers ?
> > Cc-ing them to find out.
> Not a SRM, but I share the "no" feeling.

In any case a rename would not be acceptable. The alternative would be a policy
violating conflicts.

Interestingly gmp-ecm does conflict with ecm in wheezy, even though the file
conflict is solved.

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Loïc Martin <loic.martin3@gmail.com>:
Bug#580548; Package ecm. (Thu, 11 Oct 2012 22:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Loïc Martin <loic.martin3@gmail.com>. (Thu, 11 Oct 2012 22:09:03 GMT) Full text and rfc822 format available.

Message #54 received at 580548@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Philipp Kern <pkern@debian.org>
Cc: debian-release@lists.debian.org, Bart Martens <bartm@debian.org>, 580548@bugs.debian.org
Subject: Re: [squeeze] Re: ecm: file conflict with gmp-ecm
Date: Thu, 11 Oct 2012 15:06:39 -0700
Philipp Kern wrote:

> Interestingly gmp-ecm does conflict with ecm in wheezy, even though the file
> conflict is solved.

Oh, excellent.  The Conflicts is even present in squeeze.

Would you mind tagging 580548 squeeze-ignore to get it off the radar?
Then I'll file a bug for gmp-ecm to make the conflicts in wheezy
versioned.

Thanks for noticing.
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Loïc Martin <loic.martin3@gmail.com>:
Bug#580548; Package ecm. (Thu, 11 Oct 2012 22:57:03 GMT) Full text and rfc822 format available.

Message #57 received at 580548@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: debian-release@lists.debian.org, Bart Martens <bartm@debian.org>, 580548@bugs.debian.org, control@bugs.debian.org
Subject: Re: [squeeze] Re: ecm: file conflict with gmp-ecm
Date: Fri, 12 Oct 2012 00:54:15 +0200
[Message part 1 (text/plain, inline)]
tag 580548 + squeeze-ignore
thanks

On Thu, Oct 11, 2012 at 03:06:39PM -0700, Jonathan Nieder wrote:
> Philipp Kern wrote:
> > Interestingly gmp-ecm does conflict with ecm in wheezy, even though the file
> > conflict is solved.
> Oh, excellent.  The Conflicts is even present in squeeze.
> Would you mind tagging 580548 squeeze-ignore to get it off the radar?

Nope, done. ;-)

> Thanks for noticing.

Thanks for caring
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Added tag(s) squeeze-ignore. Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Thu, 11 Oct 2012 22:57:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 07:46:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:28:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.